none
Microsoft Report Viewer 2008 Redistributable for Server 2008 R2

    Question

  • Hi

    What version of the MS report viewer 2008 officially supports server 2008 r2, because i can only see version that look really old and only support older server os's?

    will ms report viewer 2010 redistributable work?

     

    Thursday, October 14, 2010 8:54 AM

Answers

  • I have the same question,
    Actually, you don't. The original question was about what version of the RV2008 to use on Win2008R2. Arguably a pointless question. WSUS requires RV2008; WSUS is supported on Win2008R2, ergo, it's a logical conclusion (and a true statement) that RV2008 works on Win2008R2.
    it came up since the last update of WSUS... Previously the reportgenerator works fine. Now an popup box comes up stating that I have to install the redistribution of report generator 2008.  I also want to instal the latest version.. Maybe something is wrong with the last WSUS update.

    There's nothing wrong with anything.

    As documented in the Release Notes, WSUS v3 SP2 requires the Report Viewer Redistributable 2008 to be installed on console machines. Download it and install it


    Lawrence Garvin, M.S., MCITP:EA, MCDBA, MCSA
    Principal/CTO, Onsite Technology Solutions, Houston, Texas
    Microsoft MVP - Software Distribution (2005-2010)
    My MVP Profile: http://mvp.support.microsoft.com/profile/Lawrence.Garvin
    My Blog: http://onsitechsolutions.spaces.live.com
    Saturday, November 27, 2010 4:28 PM
    Moderator

All replies

  • Hi,

    This forum is for WSUS related issues. For questions about Windows Server 2008, please use the Microsoft technet forum for Windows Server 2008  which would be the most relevant forum for your question.

    Windows Server Category
    http://social.technet.microsoft.com/Forums/en/category/windowsserver/


    Please remember to click “Mark as Answer” on the post that helps you, and to click “Unmark as Answer” if a marked post does not actually answer your question. This can be beneficial to other community members reading the thread.
    Friday, October 22, 2010 9:20 AM
    Moderator
  • Hi,

    I have the same question, it came up since the last update of WSUS... Previously the reportgenerator works fine. Now an popup box comes up stating that I have to install the redistribution of report generator 2008.  I also want to instal the latest version.. Maybe something is wrong with the last WSUS update.

    regards

    jan

    Friday, November 26, 2010 10:32 AM
  • I have the same question,
    Actually, you don't. The original question was about what version of the RV2008 to use on Win2008R2. Arguably a pointless question. WSUS requires RV2008; WSUS is supported on Win2008R2, ergo, it's a logical conclusion (and a true statement) that RV2008 works on Win2008R2.
    it came up since the last update of WSUS... Previously the reportgenerator works fine. Now an popup box comes up stating that I have to install the redistribution of report generator 2008.  I also want to instal the latest version.. Maybe something is wrong with the last WSUS update.

    There's nothing wrong with anything.

    As documented in the Release Notes, WSUS v3 SP2 requires the Report Viewer Redistributable 2008 to be installed on console machines. Download it and install it


    Lawrence Garvin, M.S., MCITP:EA, MCDBA, MCSA
    Principal/CTO, Onsite Technology Solutions, Houston, Texas
    Microsoft MVP - Software Distribution (2005-2010)
    My MVP Profile: http://mvp.support.microsoft.com/profile/Lawrence.Garvin
    My Blog: http://onsitechsolutions.spaces.live.com
    Saturday, November 27, 2010 4:28 PM
    Moderator
  • Actually, you don't. The original question was about what version of the RV2008 to use on Win2008R2. Arguably a pointless question. WSUS requires RV2008; WSUS is supported on Win2008R2, ergo, it's a logical conclusion (and a true statement) that RV2008 works on Win2008R2.

    Funny! I have been to three different download pages but have yet to see Win2K8 R2 listed. Even the page you show does not list it. I think it is a valid question since Microsoft does not list it. Maybe they should update the download page(s)? Maybe there should not be three or more download locations? So many questons....

    Monday, January 31, 2011 2:35 PM
  • I have been to three different download pages but have yet to see Win2K8 R2 listed.

    <sigh>... yes.. I think somebody else was using the "Silver Spoon" the day the documentation was written.

    Yes, it's a valid question. However, the question is easily answered. RV2008 is required by WSUS v3 SP2. Windows Server 2008 R2 requires WSUS v3 SP2 to enable the WSUS role...

    ERGO ... the *ONLY* version of Report Viewer that can be used with WSUS on Windows Server 2008 R2 is the RV2008.

    It's a valid question.. but it seems to me the answer is painfully obvious, and previously supplied in my response last November.

    For those that really care: The reason Win2008R2 is not listed in the document is because Win2008R2 was not a RELEASED product when that documentation was drafted. Researching your product history, you'll discover that Windows 7, Windows Server 2008 R2, and WSUS v3 Service Pack 2 were all released on the same day in August, 2009.


    Lawrence Garvin, M.S., MCITP:EA, MCDBA, MCSA
    Principal/CTO, Onsite Technology Solutions, Houston, Texas
    Microsoft MVP - Software Distribution (2005-2011)
    My MVP Profile: http://mvp.support.microsoft.com/profile/Lawrence.Garvin
    My Blog: http://onsitechsolutions.spaces.live.com
    Monday, January 31, 2011 9:45 PM
    Moderator
  • Eric Zhang CHN

    As a moderator, you should be ashamed of yourself.

    The question was about Report Viewer which is required for WSUS.

    That makes the question appropriate for this forum.

    Friday, August 31, 2012 11:59 AM
  • And not to mention, Arrogant!
    Tuesday, November 20, 2012 9:07 PM
  • You arrogant douche.
    Tuesday, December 18, 2012 7:14 PM